part of 'device_bloc.dart';

abstract class DeviceEvent extends Equatable {
  const DeviceEvent();

  @override
  List<Object> get props => [];
}

class OpenScreen extends DeviceEvent {
  OpenScreen();

  @override
  List<Object> get props => [];
}

class OnSearch extends DeviceEvent {
  final String query;
  OnSearch({required this.query});

  @override
  List<Object> get props => [query];
}

class ControlDevice extends DeviceEvent {
  final List<Device> currentDevices;
  final int updatedDeviceId;
  ControlDevice({required this.currentDevices, required this.updatedDeviceId});
}
